WordPress.org

Support

Support » How-To and Troubleshooting » [Resolved] 3.0 Plugin Upgrade Bug? Could Not Create Directory

[Resolved] 3.0 Plugin Upgrade Bug? Could Not Create Directory

  • eddihughes
    Member

    @eddihughes

    Upgraded to 3.0 today. After upgrade, went to upgrade plugins and got caught up on a bug.

    View post on imgur.com

    Dashboard -> Updates -> Select all plugins. It asks me for FTP information, punch it in, select FTPS and go.

    An error occured while updating podPress: Could not create directory. /public_html.

    I get these errors for multiple plugins.

    View post on imgur.com

Viewing 15 replies - 1 through 15 (of 99 total)
  • I am having the same problem. Upgraded to 3.0 today and now I am unable to install new plugins and upgrade old ones??? I get the same error: Could not create directory. /public_html.

    Ideas anyone.
    Thanks.

    Lynda
    Member

    @lyndasu

    I’m also having this problem. 🙁

    Lynda
    Member

    @lyndasu

    Ok. Deleting my upgrade directory in wp-content and then recreating it, chmod to 777 seemed to fix the problem. Sometimes I have to do that… not sure why.

    Hi Lyndasu

    I’m fairly new to WP – Can I ask how do you recreate the upgrade directory? I’m ok with changing permissions.
    Thanks in advance.

    Lynda
    Member

    @lyndasu

    adzleese – through an FTP program, I deleted the directory, then just created a new one. There’s usually an option to create a directory in whatever FTP client you’re using.

    If you’re only using a text-based FTP client, then the command is “mkdir”

    I hope that helps!

    I’m ok deleting the directory I just wasn’t sure about the contents of the directory. So basically I delete “upgrade” and then just recreate the directory with no content? Sorry if I’m being stupid 🙂

    Lynda
    Member

    @lyndasu

    adzleese – yes! I’m pretty sure the folder is just for temp files when upgrading wordpress or its plugins. If you think you might need the content inside, you can always rename to “upgrade2”, etc and then create the new upgrade directory. Empty. 🙂

    i have the same problem, the think is that on my others domein up update my wordpress to 3.0 and the update plaugin via wordpress works just fine. Recently i’ve bought a new domain and i have this issue: Could not create directory. /public_html… there is no response to this problem? I’ve try to delete de ugrade folder create a new one with the same name, put chmod to 777 and still i have the same problem….is there a way to resolve this?

    Yes, I had same issue. I deleted the ‘upgrades’ folder, recreated and gave it recursive ‘777’ permissions and that solved the issue, for me at least.

    Perhaps related: my 3.0 back-end indicates 2 plugins can be upgraded. Plugins > Upgrade available show 2 plugins, but no link to details or upgrade.
    Tried recreating upgrade folder, no change.

    After deleting those plugin files and reinstalling, the 2 bubble disappeared, and everything seems fine.

    I was having the same problem as well. I also just deleted the upgrade folder , created a new one and put chmod to 777. It is working fine now.

    thatgrrl
    Participant

    @thatgrrl

    I’m getting the same problem. Will see if this works. Today my blog is loading as a blank page. Not sure if this is another new problem or related to this.

    I had the same problem and deleted the upgrade and created it anew with 777, works, great.
    Thanks @lyndasu

    Same problem… deleted the upgrades folder than run a plugin upgrade and a replacement was created with the right permissions

    Thank You!! Had the same problem as everyone else and this fixed it!!!

Viewing 15 replies - 1 through 15 (of 99 total)
  • The topic ‘[Resolved] 3.0 Plugin Upgrade Bug? Could Not Create Directory’ is closed to new replies.